[INFO] How to verify PHP extensions on the publishing host?

Created:

2016-11-16 13:11:41 UTC

Modified:

2017-08-16 17:06:43 UTC

0

Was this article helpful?


Have more questions?

Submit a request

[INFO] How to verify PHP extensions on the publishing host?

Applicable to:

  • Plesk Sitebuilder for Linux

Symptoms

Here is the list of Published Sites Server Requirements for publishing sites with Parallels Plesk Sitebuilder 4.5:

Any Linux/Unix OS
Apache web server (any version)
PHP >= 4.3.9 (mail support should work)
PHP extensions:
Ioncube >= 3.1.15 http://www.ioncube.com/loaders.php
mbstring
zlib
session
dom
domxml_xslt or xslt
sqlite (2.x, support UTF-8 encoding)
gd >=2 0 (with support PNG, GIF, JPG, BMP formats)

How to verify if the extensions are installed and which is their version?

Resolution

PHP extension for Ioncube :

~# rpm -qa | grep php | grep ioncube

php5-ioncube-loader-4.0.7-11032115

PHP extension for SQLite :

~# php -i | grep SQLite

SQLite Library => 2.8.17
SQLite Encoding => UTF-8

PHP extension for gd :

~# rpm -qa | grep php | grep gd

php-gd-5.1.6-40.el5_9

Related Articles

[Info] SiteBuilder fails to publish because of missing SQLite 2.x support

Have more questions? Submit a request
Please sign in to leave a comment.